# _MemoryInfo Struct Reference

## Data Fields

size_t | allocation
void * | blocks [MaxBlocks+1]
size_t | number_segments
DataSegmentInfo * | segments [MaxSegments]
DataSegmentInfo | segment_pool [MaxSegments]

## Field Documentation

size_t _MemoryInfo::allocation

void* _MemoryInfo::blocks[MaxBlocks+1]

size_t _MemoryInfo::number_segments

DataSegmentInfo* _MemoryInfo::segments[MaxSegments]

DataSegmentInfo _MemoryInfo::segment_pool[MaxSegments]

The documentation for this struct was generated from the following file:

- memory.c